Bug 12438 - Bad encoding in acquisition basket
Summary: Bad encoding in acquisition basket
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL: cgi-bin/koha/acqui/basket.pl?basketno=x
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-17 14:38 UTC by Fridolin SOMERS
Modified: 2015-06-04 23:30 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12438 - Bad encoding in acquisition basket (1.26 KB, patch)
2014-06-17 14:48 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
28911: Bug 12438 - Bad encoding in acquisition basket (1.35 KB, patch)
2014-06-25 09:40 UTC, Paola Rossi
Details | Diff | Splinter Review
[PASSED QA] Bug 12438 - Bad encoding in acquisition basket (1.44 KB, patch)
2014-06-28 10:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2014-06-17 14:38:30 UTC
We noticed a bad encoding (diacritics replaced by <?>) in acquisition basket when updating a server to Debian Wheezy.
We found it comes from a query containing biblio.title twice.
Maybe the mysql newer version creates this side-effect.
Comment 1 Fridolin SOMERS 2014-06-17 14:48:26 UTC Comment hidden (obsolete)
Comment 2 Paola Rossi 2014-06-24 15:13:46 UTC
It seems to me that this problem is going to be solved by 11944.
Comment 3 Fridolin SOMERS 2014-06-24 16:24:25 UTC
(In reply to Paola Rossi from comment #2)
> It seems to me that this problem is going to be solved by 11944.
Maybe, but also the SQL query is wrong.
There is no need to add biblio.title when there is biblio.*
Comment 4 Paola Rossi 2014-06-25 09:39:29 UTC
Thanks, Fridolin

I've applied against master 3.17.00.008

Everything's OK.

So I've passed tha patch to "Signed Off" status.
Comment 5 Paola Rossi 2014-06-25 09:40:18 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-06-28 10:15:57 UTC
Created attachment 29340 [details] [review]
[PASSED QA] Bug 12438 - Bad encoding in acquisition basket

We noticed a bad encoding (diacritics replaced by <?>) in acquisition basket when updating a server to Debian Wheezy.
We found it comes from a query containing biblio.title twice.
Maybe the mysql newer version creates this side-effect.

Test plan :
- Create an order on a record containing a diacritic in title
- Look at the basket : cgi-bin/koha/acqui/basket.pl?basketno=x
=> Without the patch the record title is bad encoded (with <?>)
=> With this patch the record title is well encoded
- Check also basket CSV export

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Good catch!
Works as expected, passes tests and QA script.
Comment 7 Tomás Cohen Arazi 2014-07-15 22:06:46 UTC
Patch pushed to master.

Thanks Fridolin!

Note: I pushed it because I think the duplicated biblio.title has to be removed. It hides the real problem, but as bug 11944 actually solves the problem (tried it), I feel good about it making into the stable branches for a short term solution.
Comment 8 David Cook 2014-07-18 05:24:03 UTC
Beautiful! This patch fixes the problem that I was having!

It's worth mentioning that we only had this problem on a Debian Squeeze server.

When we dumped the data and loaded it into a Koha instance on an OpenSuse server, we didn't get the <?> replacing the diacritics. It worked perfectly.

So...not really sure what was going on there, but I'm just happy at this point to have a fix of the symptom.
Comment 9 Kyle M Hall 2014-08-13 13:03:46 UTC
Pushed to 3.12.x!
Comment 10 Fridolin SOMERS 2014-09-10 14:31:18 UTC
Pushed to 3.14.x, will be in 3.14.11
Comment 11 Galen Charlton 2014-09-23 04:54:49 UTC
Pushed to 3.16.x for inclusion in 3.16.4.